slepc-3.10.1 2018-10-23
Report Typos and Errors

# EPSGetType

Gets the EPS type as a string from the EPS object.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetType(EPS eps,EPSType *type)

Not Collective

### Input Parameter

| eps | - the eigensolver context

### Output Parameter

| name | - name of EPS method

### See Also

EPSSetType()

Location: src/eps/interface/epsbasic.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex1.c.html
src/eps/examples/tutorials/ex2.c.html
src/eps/examples/tutorials/ex3.c.html
src/eps/examples/tutorials/ex4.c.html
src/eps/examples/tutorials/ex5.c.html
src/eps/examples/tutorials/ex7.c.html
src/eps/examples/tutorials/ex9.c.html
src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex11.c.html
src/eps/examples/tutorials/ex13.c.html
src/eps/examples/tutorials/ex18.c.html